# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeRectangularTrimmedSurface Class Reference

This class implements the mapping between classes
RectangularTrimmedSurface from StepGeom
and class RectangularTrimmedSurface from Geom
.

`#include <StepToGeom_MakeRectangularTrimmedSurface.hxx>`

Inheritance diagram for StepToGeom_MakeRectangularTrimmedSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeRectangularTrimmedSurface (const Handle(StepGeom_RectangularTrimmedSurface)&RTSurf)
Standard_EXPORT const Handle_Geom_RectangularTrimmedSurface & | Value () const

## Private Attributes

Handle_Geom_RectangularTrimmedSurface | theRectangularTrimmedSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeRectangularTrimmedSurface::StepToGeom_MakeRectangularTrimmedSurface | ( | const Handle(StepGeom_RectangularTrimmedSurface)& | RTSurf | ) |

## Member Function Documentation

void StepToGeom_MakeRectangularTrimmedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeRectangularTrimmedSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeRectangularTrimmedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_RectangularTrimmedSurface& StepToGeom_MakeRectangularTrimmedSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_RectangularTrimmedSurface StepToGeom_MakeRectangularTrimmedSurface::theRectangularTrimmedSurface `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeRectangularTrimmedSurface.hxx